For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Default Kubernetes Version

Retrieves the current default K8s version to be used by the clusters and node pools.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Responses
200

Successful operation

application/json
ResponsestringExample: 1.21.4
get/k8s/versions/default
GET /cloudapi/v6/k8s/versions/default HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
1.21.4

Last updated

Was this helpful?